package hu.se.app16;

/**
 * Prices of a telco provider.
 */
public class Provider {

	private double flatrate = 25.20;
	private double euroPerMin = 0.08;

	public double getFlatratePrice() {
		double price = this.flatrate * 1.19;
		// auf zwei Nachkommastellen runden
		return Math.round(price * 100.0) / 100.0;
	}

	public double getPrice(int minutes) {
		if (minutes <= 0) {
			return 0.0;
		} else {
			double price = minutes * this.euroPerMin * 1.19;
			// auf zwei Nachkommastellen runden
			return Math.round(price * 100.0) / 100.0;
		}
	}
}
